LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDocumentIndexesSupplier Interface Referencepublished

gives access to the collection of document indexes. More...

`import"XDocumentIndexesSupplier.idl";`

Inheritance diagram for XDocumentIndexesSupplier:

## Public Member Functions
com::sun::star::container::XIndexAccess | getDocumentIndexes ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the collection of document indexes.

In general this interface is supported by a TextDocument.

## Member Function Documentation

## ◆ getDocumentIndexes()

com::sun::star::container::XIndexAccess getDocumentIndexes | ( |  | ) |

Returns
  the collection of "DocumentIndexes" currently contained in the object.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XDocumentIndexesSupplier.idl